// macro.h

#ifndef _MACRO_H_
#define _MACRO_H_

#define	RELEASE(p) if (p) { p->Release(); p = NULL; }

#define SAFERELEASE(p) RELEASE(p)

#define leave(hr) if FAILED(hr) __leave;  

#define ret(hr) if FAILED(hr) return hr;

#define exit(hr) if FAILED(hr) goto exit;

#define jump(hr) if FAILED(hr) goto jump;

#endif
